Bug 9794 - xdm + pam_console doesnt remove lock
Summary: xdm + pam_console doesnt remove lock
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-25 23:40 UTC by bentlema
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 15:36:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bentlema 2000-02-25 23:40:41 UTC
When logging in through xdm, pam_console.so correctly sets the ownership
and perms according to /etc/security/console.perms, but upon logout, the
/var/lock/console.lock and /var/lock/console/username files are not removed
so the next user to login isn't able to get console privs.

However, logging in through a virtual console seems to work correctly.  The
lock files are created upon login, and removed upon logout, so successive
users are able to gain privileges as specified in console.perms.

Comment 1 Cristian Gafton 2000-05-22 15:36:59 UTC
assigned to nalin

Comment 2 Bill Nottingham 2000-08-17 22:25:05 UTC
This should be fixed in current rawhide packages.


Note You need to log in before you can comment on or make changes to this bug.